/**
 * Quoridor server and related libraries
 * Copyright (C) 2009-2010 Jaroslav Tulach <jaroslav.tulach@apidesign.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 */

package cz.xelfi.quoridor.desktop.sample;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import org.openide.DialogDisplayer;
import org.openide.NotifyDescriptor;
import org.openide.util.NbBundle;

public final class LoginAction implements ActionListener {

    @Override
    public void actionPerformed(ActionEvent e) {
        LoginPanel lp = new LoginPanel();
        NotifyDescriptor nd = new NotifyDescriptor(
            lp,
            NbBundle.getMessage(LoginAction.class, "LoginAction.title"),
            NotifyDescriptor.OK_CANCEL_OPTION,
            NotifyDescriptor.QUESTION_MESSAGE, null, null
        );
        Object res = DialogDisplayer.getDefault().notify(nd);
        if (res == NotifyDescriptor.OK_OPTION) {
            if (!Quoridor.getDefault().login(lp.getLogin(), lp.getPassword())) {
                nd = new NotifyDescriptor.Message(
                    NbBundle.getMessage(LoginAction.class, "LoginAction.fail")
                );
                DialogDisplayer.getDefault().notify(nd);
            }
        }
    }
}
